# $Revision: 1.28 $, $Date: 2012/01/11 20:13:10 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Admin-Config
Summary:	Apache::Admin::Config - manipulate Apache configuration files
Summary(pl.UTF-8):	Apache::Admin::Config - manipulowanie plikami konfiguracyjnymi Apache'a
Name:		perl-Apache-Admin-Config
Version:	0.95
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0d0ce861770d52adf13e93832cdb08ac
URL:		http://search.cpan.org/dist/Apache-Admin-Config/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache::Admin::Config provides an object interface to handling Apache
like configuration files without modifying comments, identation, or
truncated lines.

%description -l pl.UTF-8
Apache::Admin::Config udostępnia obiektowy interfejs do obsługi plików
konfiguracyjnych w stylu Apache bez modyfikowania komentarzy, wcięć
ani skracania linii.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes UPGRADE-0.10
%dir %{perl_vendorlib}/Apache/Admin
%{perl_vendorlib}/Apache/Admin/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Admin-Config.spec,v $
Revision 1.28  2012/01/11 20:13:10  zbyniu
- up to 0.95

Revision 1.27  2008/07/27 22:26:11  arekm
- release 2

Revision 1.26  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.24  2006/07/25 20:01:45  qboosh
- updated md5

Revision 1.23  2006/07/25 19:20:46  glen
- 0.94, add generic URL

Revision 1.22  2004/12/12 10:08:51  adamg
- updated to 0.92

Revision 1.21  2004/11/03 19:36:54  paladine
- formatting

Revision 1.20  2004/05/10 21:57:48  ankry
- %doc added

Revision 1.19  2004/05/10 21:52:31  ankry
- fixed %install

Revision 1.18  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.17  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.15  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.14  2004/03/09 19:58:46  adamg
- new style bconds

Revision 1.13  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:25:40  ankry
- massive attack: change CPAN URLs

Revision 1.5  2003/02/05 16:16:42  ankry
- autoupdated to 0.91

Revision 1.4  2002/11/28 17:14:58  mis
- autoupdated to 0.90

Revision 1.3  2002/09/01 09:00:20  radek
- version 0.56: major bugfix in _get_index method

Revision 1.2  2002/08/27 21:15:03  qboosh
- pl description, added Apache/Admin dir to package

Revision 1.1  2002/08/27 10:31:31  radek
- new, STBR
